# SpiralTask
Date: 2018-12-06

com.massivecraft.factions.util

## Class SpiralTask

- java.lang.Object
- - com.massivecraft.factions.util.SpiralTask

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class SpiralTask
    extends java.lang.Object
    implements java.lang.Runnable

### Constructor Summary

Constructors
Constructor and Description
`SpiralTask(FLocation fLocation, int radius)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`FLocation` `currentFLocation()`
`org.bukkit.Location` `currentLocation()`
`void` `finish()`
`int` `getX()`
`int` `getZ()`
`boolean` `insideRadius()`
`boolean` `moveToNext()`
`void` `run()`
`void` `setTaskID(int ID)`
`void` `stop()`
`boolean` `valid()`
`abstract boolean` `work()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpiralTask

    public SpiralTask(FLocation fLocation,
                      int radius)

### Method Detail

#### work

    public abstract boolean work()

#### currentFLocation

    public final FLocation currentFLocation()

#### currentLocation

    public final org.bukkit.Location currentLocation()

#### getX

    public final int getX()

#### getZ

    public final int getZ()

#### setTaskID

    public final void setTaskID(int ID)

#### run

    public final void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### moveToNext

    public final boolean moveToNext()

#### insideRadius

    public final boolean insideRadius()

#### finish

    public void finish()

#### stop

    public final void stop()

#### valid

    public final boolean valid()